<!doctype html>
<html lang="en">
<head>
    <title>Install Golang</title>
    <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <meta http-equiv="Cache-Control" content="no-cache, no-store, must-revalidate"/>
  <link rel="shortcut icon" href="/assets/img/logo.png" type="image/png">
  <meta http-equiv="Pragma" content="no-cache"/>
  <meta http-equiv="Expires" content="0"/>
  <!-- link rel="shortcut icon" href="/assets/img/logo.png" type="image/png"-->
  <link rel="stylesheet" href="/assets/styles.css">
</head>
<body>
<header class=nav-bar>
  <nav>
    <div class=sidebar-button></div>
    <!--div id=bwtoggle></div-->
    <a class="homelink spy" href="/">r<span class=hideable>wx.gg</span></a>
    <div class="nav-right">
      <!-- div id=search-box></div -->
      <ul class=nav-links>
        <li class=nav-item><a class=nav-link href="/boost/">Boosts</a></li>
        <!--
        <li class=nav-item><a class=nav-link href="/how/">HowTos</a></li>
        <li class=nav-item><a class=nav-link href="/contrib/">Contribute</a></li>
        -->
        <li class=nav-item><a class="nav-link" href="https://gitlab.com/rwx.gg/README">GitLab</a></li>
        <li class=nav-item><a class="nav-link" href="https://www.youtube.com/rwxrob">YouTube</a></li>
        <li class=nav-item><a class="nav-link" href="https://discord.gg/9wydZXY">Discord</a></li>
        <li class=nav-item><a class="nav-link" href="https://twitch.tv/rwxrob">Twitch</a></li>
      </ul>
    </div>
  </nav>
</header>
<main id=top>
<div class=container>  <h1 id=title class=duck><a href="https://duckduckgo.com/lite?kae=t&q=Install Golang">Install Golang</a></h1>
  <h2 id=subtitle>Always Have the Latest</h2>
  <p>First check to see that you don’t already the right version of Go installed:</p>
  <pre class="sh"><code>go --version</code></pre>
  <p>The current version (as of April 23, 2020) is 1.14.2.</p>
  <p>You can certainly following the <a href="https://golang.org/doc/install">installation instructions</a> on the Go page. Or you can add this little script to manage your Go version installation like any other package on your system. Keep in mind that although this PPA is non-standard and not supported by Go officially it is used by thousands.</p>
  <pre class="sh"><code>#!/bin/sh

  sudo add-apt-repository ppa:longsleep/golang-backports
  sudo apt update
  sudo apt install golang-go</code></pre>
  <p>You’ll need to do your own research for other non-Debian versions of Linux (but you are probably used to that if you do).</p>
  <div class="callout-fyi">
  <p>If you absolutely have no other option you can always just create a Golang project on <a href="https://repl.it">REPL.it</a>.</p>
  </div>
</main>
<footer>
  <p><a href="/copyright/" id=copyright>© 2020 Rob Muhlestein. Licensed under Creative Commons Attribution-ShareAlike.</a><br/>Does something seem to have changed? <a href="/changes/">Check the change log</a>.
  <br>See something wrong? <a class="nodecor" href="https://gitlab.com/rwx.gg/README/-/issues">Open a ticket</a>.
  </p>
</footer>
<script src="/assets/main.js"></script>
</body>
</html>